Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.persistence.dataobject
Class ServiceUserRoleDO

    java.lang.Object
      java.util.Observable
          org.wso2.wsas.persistence.dataobject.AbstractDataObject
              org.wso2.wsas.persistence.dataobject.ServiceUserRoleDO

    public class ServiceUserRoleDO

extends AbstractDataObject

Data object representing user roles in WSO2 WSAS

Constructor Summary
`ServiceUserRoleDO()`
`ServiceUserRoleDO(java.lang.String role)`

Method Summary
`void` | `addService(ServiceDO service)`
`void` | `addUser(ServiceUserDO serviceUser)`
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getRole()`
`java.util.Set` | `getServices()`
`java.util.Set` | `getUsers()`
`int` | `hashCode()`
`void` | `setDescription(java.lang.String description)`
`void` | `setRole(java.lang.String role)`
`void` | `setServices(java.util.Set services)`
`void` | `setUsers(java.util.Set users)`

Methods inherited from class org.wso2.wsas.persistence.dataobject.AbstractDataObject
`getId, getLastUpdatedTime, notifyObservers, setId, setLastUpdatedTime`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceUserRoleDO

    public ServiceUserRoleDO()

### ServiceUserRoleDO

    public ServiceUserRoleDO(java.lang.String role)

Method Detail

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getRole

    public java.lang.String getRole()

### setRole

    public void setRole(java.lang.String role)

### getUsers

    public java.util.Set getUsers()

### setUsers

    public void setUsers(java.util.Set users)

### getServices

    public java.util.Set getServices()

### setServices

    public void setServices(java.util.Set services)

### addService

    public void addService(ServiceDO service)

### addUser

    public void addUser(ServiceUserDO serviceUser)

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD